<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/blogs/init.jsp" %>

<%
BlogsDisplayContext blogsDisplayContext = new BlogsDisplayContext(request, renderRequest, renderResponse);

BlogsPortletInstanceConfiguration blogsPortletInstanceConfiguration = blogsDisplayContext.getBlogsPortletInstanceConfiguration();

SearchContainer<?> searchContainer = blogsDisplayContext.getSearchContainer();
%>

<liferay-ui:success key='<%= portletDisplay.getId() + "requestProcessed" %>' message="your-request-completed-successfully" />
<liferay-ui:success key="blogsEntryPublished" message="the-blog-entry-was-published-successfully" />

<portlet:actionURL name="/blogs/edit_entry" var="restoreTrashEntriesURL">
	<portlet:param name="<%= Constants.CMD %>" value="<%= Constants.RESTORE %>" />
</portlet:actionURL>

<liferay-trash:undo
	portletURL="<%= restoreTrashEntriesURL %>"
/>

<aui:input name="redirect" type="hidden" value="<%= currentURL %>" />

<c:if test="<%= blogsDisplayContext.getUnpublishedEntriesCount() > 0 %>">
	<clay:navigation-bar
		navigationItems="<%= blogsDisplayContext.getNavigationItems() %>"
	/>
</c:if>

<%@ include file="/blogs/view_entries.jspf" %>